include:
  - project: coscine/tools/gitlab-ci-templates
    file: 
      - /dotnet.yml
      - /container.yml

stages:
  - build
  - test
  - publish

variables:
  DOTNET_MAIN_PROJECT_FOLDER: "KpiGenerator"

build-branch:
  extends: .build-branch

build-nuget-release:
  extends: .build-nuget-release

test:
  extends: .test

publish-gitlab-release:
  extends: .publish-gitlab-release
  
publish:
  extends: .publish-artifact-release

publish-container:
  variables:
    CONTAINER_CONTEXT_FOLDER_PATH: $CI_PROJECT_DIR/src/$DOTNET_MAIN_PROJECT_FOLDER
  extends: .publish-container-gitlab
